# Orchard Core 1.0.0-rc2

Release date: June 2020  

[Compare this release with the previous one](https://github.com/orchardcms/orchardcore/compare/1.0.0-rc1...1.0.0-rc2)

## Breaking Changes

- .NET Core 3.1
- Change to the default BagPart from Detail to Summary.
- Email now is differentiate between submitter and sender according to RFC
- Lucene index settings are now stored in the database and the data JSON schema has changed so it is required to reconfigure the indices.

## Milestone

[RC2](https://github.com/OrchardCMS/OrchardCore/milestone/10)

## New features

- New orchardcore.net domain (docs, try)
- New Admin UI for bulk actions
- New Admin menu structure
- New documentation structure
- Docs project in the solution
- Upgrade to MkDocs Material 5
- Use all-contributors to generate Contributors list
- Customize admin URL prefix
- Deployment plan Recipe export
- Full-text search enhancements
- Open Tags editor in Taxonomies
- Contained item routing
- Content Picker Menu
- Language selector on setup page
- Screen setup adapted to small resolutions
- Default pattern for autoroute and alias
- Display mode options
- Filter admin menu
- Flow editor UI improvements
- Toggle all widgets button
- Sorting items in ListPart
- Retrieve, Update Content workflow task
- Disable and Enable Tenant Workflows Tasks
- User disabled/enabled events
- Users can change email
- Disable a user account
- Allow Inserting image in HTML
- Themes with vendor- prefix
- ConsoleLog helper
- Preview feature improvement
- Trumbowyg editor, settings and plugins
- Add ability to generate DisplayText with a Pattern
- Database and Azure blob shells configuration
- External Login registration without password
- CodeMirror editor for TextField
- Export to json or send to remote
- Publish later
- Recipe idempotency
- Sitemaps

## Pull Requests

- Use rc2 version in docs [#6403](https://github.com/OrchardCMS/OrchardCore/pull/6403)
- Release/rc2 [#6399](https://github.com/OrchardCMS/OrchardCore/pull/6399)
- ImageSharp license changes [#6395](https://github.com/OrchardCMS/OrchardCore/pull/6395)
- Update template generation docs [#6391](https://github.com/OrchardCMS/OrchardCore/pull/6391)
- Initialize setup supported cultures only if there is a meta package [#6357](https://github.com/OrchardCMS/OrchardCore/pull/6357)
- Upgrade ImageSharp package [#6375](https://github.com/OrchardCMS/OrchardCore/pull/6375)
- Reset twitter client [#6379](https://github.com/OrchardCMS/OrchardCore/pull/6379)
- .NET Core 3.1.5 and SDK 3.1.301 [#6387](https://github.com/OrchardCMS/OrchardCore/pull/6387)
- Fix resource hash for code mirror css [#6384](https://github.com/OrchardCMS/OrchardCore/pull/6384)
- Update OrchardCore_Shells_Database docs [#6380](https://github.com/OrchardCMS/OrchardCore/pull/6380)
- Add reference doc pages for missing features (Lombiq Technologies: OCORE-30) [#6350](https://github.com/OrchardCMS/OrchardCore/pull/6350)
- Docs contrib guide, MkDocs fixes, clarifying Configuration docs [#6281](https://github.com/OrchardCMS/OrchardCore/pull/6281)
- Coming soon theme fixes [#6346](https://github.com/OrchardCMS/OrchardCore/pull/6346)
- Reviewing encoders usages [#6330](https://github.com/OrchardCMS/OrchardCore/pull/6330)
- Add default edit display option [#6339](https://github.com/OrchardCMS/OrchardCore/pull/6339)
- Disable requried. move fields to below larger editors [#6340](https://github.com/OrchardCMS/OrchardCore/pull/6340)
- Fix Publish Later controls disappearing on validation error [#6337](https://github.com/OrchardCMS/OrchardCore/pull/6337)
- Adding branding assets to docs [#6282](https://github.com/OrchardCMS/OrchardCore/pull/6282)
- Allow classes by default with the html sanitizer [#6268](https://github.com/OrchardCMS/OrchardCore/pull/6268)
- Add ConfirmationEmailSubject in Edit RegisterUserTask [#6322](https://github.com/OrchardCMS/OrchardCore/pull/6322)
- Prevent array duplication when merging existing content [#6315](https://github.com/OrchardCMS/OrchardCore/pull/6315)
- Change to [image] tag. Make recursive [#6301](https://github.com/OrchardCMS/OrchardCore/pull/6301)
- Comong-soon script [#6304](https://github.com/OrchardCMS/OrchardCore/pull/6304)
- Change content api permissions [#6225](https://github.com/OrchardCMS/OrchardCore/pull/6225)
- Render nested bags in Summary also [#6288](https://github.com/OrchardCMS/OrchardCore/pull/6288)
- Preview package source to to docs [#6278](https://github.com/OrchardCMS/OrchardCore/pull/6278)
- Fixes FileSystemStore issues [#6272](https://github.com/OrchardCMS/OrchardCore/pull/6272) [#6277](https://github.com/OrchardCMS/OrchardCore/pull/6277)
- Themes: Title, default theme screenshot and tags [#6273](https://github.com/OrchardCMS/OrchardCore/pull/6273)
- MimeKit dependency [#6275](https://github.com/OrchardCMS/OrchardCore/pull/6275)
- Safe Mode Theme [#6261](https://github.com/OrchardCMS/OrchardCore/pull/6261)
- Update code generation templates [#6274](https://github.com/OrchardCMS/OrchardCore/pull/6274)
- Replace input by textarea in HtmlField.Edit [#6262](https://github.com/OrchardCMS/OrchardCore/pull/6262)
- Update session save usage [#6257](https://github.com/OrchardCMS/OrchardCore/pull/6257)
- Updating preview feed badge to Cloudsmith and adding the root Readme to the solution too [#6266](https://github.com/OrchardCMS/OrchardCore/pull/6266)
- Upgrade Npm packages [#6251](https://github.com/OrchardCMS/OrchardCore/pull/6251)
- Code Mirror 5.54.0 [#6256](https://github.com/OrchardCMS/OrchardCore/pull/6256)
- add service provider to shape creating/created contexts [#6250](https://github.com/OrchardCMS/OrchardCore/pull/6250)
- Update Fluid and YesSql [#6248](https://github.com/OrchardCMS/OrchardCore/pull/6248)
- Favicon for light and dark browser tabs [#6241](https://github.com/OrchardCMS/OrchardCore/pull/6241)
- Use optional param for CultureDictionary indexer [#6201](https://github.com/OrchardCMS/OrchardCore/pull/6201)
- Add constructor overload to CultureDictionaryRecord [#6200](https://github.com/OrchardCMS/OrchardCore/pull/6200)
- Fix typo ContentDeletedEvent constructor [#6222](https://github.com/OrchardCMS/OrchardCore/pull/6222)
- SDK 3.1.300 [#6220](https://github.com/OrchardCMS/OrchardCore/pull/6220)
- Html Script sanitizer [#6016](https://github.com/OrchardCMS/OrchardCore/pull/6016)
- Fixes DB Lock / Timeout in DeferredTask [#6170](https://github.com/OrchardCMS/OrchardCore/pull/6170)
- Allow a Timer waiting activity in any Workflow [#6124](https://github.com/OrchardCMS/OrchardCore/pull/6124)
- Little refactoring and cleanup [#6142](https://github.com/OrchardCMS/OrchardCore/pull/6142)
- Fixes Workflow Singleton [#6156](https://github.com/OrchardCMS/OrchardCore/pull/6156)
- Need a tilde if under a virtual folder [#6186](https://github.com/OrchardCMS/OrchardCore/pull/6186)
- Mark publish later with private assets [#6198](https://github.com/OrchardCMS/OrchardCore/pull/6198)
- Update .NET Core to 3.1.4 and SDK to 3.1.202 [#6181](https://github.com/OrchardCMS/OrchardCore/pull/6181)
- Revert "Added support for @section syntax for Views [#5413](https://github.com/OrchardCMS/OrchardCore/pull/5413)
- Trigger WF Content Versioned Event [#6131](https://github.com/OrchardCMS/OrchardCore/pull/6131)
- Update docker images [#6094](https://github.com/OrchardCMS/OrchardCore/pull/6094)
- Update version to RC2 [#6093](https://github.com/OrchardCMS/OrchardCore/pull/6093)
- Update version to rc2 in docs and templates example [#6091](https://github.com/OrchardCMS/OrchardCore/pull/6091)
- Remove permission check on custom settings recipe step [#6086](https://github.com/OrchardCMS/OrchardCore/pull/6086)
- PublishLater review [#6127](https://github.com/OrchardCMS/OrchardCore/pull/6127)
- Fix liquid filter doc [#6166](https://github.com/OrchardCMS/OrchardCore/pull/6166)
- Added support for @section syntax for Views [#5413](https://github.com/OrchardCMS/OrchardCore/pull/5413)
- Add formatting option to json filter [#6165](https://github.com/OrchardCMS/OrchardCore/pull/6165)
- Upgrade Bootstrap Select to 1.13.17 [#6160](https://github.com/OrchardCMS/OrchardCore/pull/6160)
- Upgrade dependencies Azure.Storage.Blobs and Castle.Core [#6163](https://github.com/OrchardCMS/OrchardCore/pull/6163)
- Configure Dev package source [#6150](https://github.com/OrchardCMS/OrchardCore/pull/6150)
- Update Manifest descriptions [#6155](https://github.com/OrchardCMS/OrchardCore/pull/6155)
- AdminMenu doc with PrefixPosition [#6152](https://github.com/OrchardCMS/OrchardCore/pull/6152)
- Switch buttons Events and Tasks in Workflow Edit [#6154](https://github.com/OrchardCMS/OrchardCore/pull/6154)
- Revisit Workflow Queries [#6144](https://github.com/OrchardCMS/OrchardCore/pull/6144)
- Update Doc Screenshots [#6153](https://github.com/OrchardCMS/OrchardCore/pull/6153)
- Fixing inconsistent internal docs links (half of them was referring to a Readme file, half not) and fixing several broken links too [#6146](https://github.com/OrchardCMS/OrchardCore/pull/6146)
- Add docs folder and project to solution [#6118](https://github.com/OrchardCMS/OrchardCore/pull/6118)
- Fixes [#6125](https://github.com/OrchardCMS/OrchardCore/pull/6125) bulk actions [#6130](https://github.com/OrchardCMS/OrchardCore/pull/6130)
- Add Scheduled Publish functionality (Lombiq Technologies: OCORE-16) [#5639](https://github.com/OrchardCMS/OrchardCore/pull/5639)
- Resolve potential media key conflicts [#5979](https://github.com/OrchardCMS/OrchardCore/pull/5979)
- Update Workflows dependencies [#6111](https://github.com/OrchardCMS/OrchardCore/pull/6111)
- an issue with table formatting in OrchardCore.Menu [#6117](https://github.com/OrchardCMS/OrchardCore/pull/6117)
- Upgrade Lucene.Net to beta 8 [#6108](https://github.com/OrchardCMS/OrchardCore/pull/6108)
- Fixes [#5987](https://github.com/OrchardCMS/OrchardCore/pull/5987): WF Activity infinite loop [#6107](https://github.com/OrchardCMS/OrchardCore/pull/6107)
- Fixes bulk actions filtering [#6106](https://github.com/OrchardCMS/OrchardCore/pull/6106)
- Maintain widget content item ids across flowpart and widget list part when updating [#5989](https://github.com/OrchardCMS/OrchardCore/pull/5989)
- Document activate-links and extend functionality for nested menu items and action urls [#6090](https://github.com/OrchardCMS/OrchardCore/pull/6090)
- Preserve external authentication tokens [#6057](https://github.com/OrchardCMS/OrchardCore/pull/6057)
- Fix login redirect for external providers [#6109](https://github.com/OrchardCMS/OrchardCore/pull/6109)
- Upgrade dependencies [#6110](https://github.com/OrchardCMS/OrchardCore/pull/6110)
- Upgrade mkdocs material [#6112](https://github.com/OrchardCMS/OrchardCore/pull/6112)
- Update bootstrap-select to 1.13.16 [#6101](https://github.com/OrchardCMS/OrchardCore/pull/6101)
- Set isNew to true only for ajax requests [#6084](https://github.com/OrchardCMS/OrchardCore/pull/6084)
- Revert "Fix login redirect for external providers [#6072](https://github.com/OrchardCMS/OrchardCore/pull/6072)
- Make Import Data a security critical permission [#6087](https://github.com/OrchardCMS/OrchardCore/pull/6087)
- Update configuration docs [#6045](https://github.com/OrchardCMS/OrchardCore/pull/6045)
- Revert "set isNew to true when buidling editor [#6077](https://github.com/OrchardCMS/OrchardCore/pull/6077)
- Add Content Menu Item [#4632](https://github.com/OrchardCMS/OrchardCore/pull/4632)
- Fix login redirect for external providers [#6072](https://github.com/OrchardCMS/OrchardCore/pull/6072)
- set isNew to true when buidling editor [#6077](https://github.com/OrchardCMS/OrchardCore/pull/6077)
- Make Content Recipe Step Idempotent [#5487](https://github.com/OrchardCMS/OrchardCore/pull/5487)
- Update version and website in Manifests and recipes [#5905](https://github.com/OrchardCMS/OrchardCore/pull/5905)
- Upgrade ImageSharp.Web [#6075](https://github.com/OrchardCMS/OrchardCore/pull/6075)
- Fixing typos, a lot of them (Lombiq Technologies: OCORE-20) [#6080](https://github.com/OrchardCMS/OrchardCore/pull/6080)
- Adding option to enable Mini Profiler on the admin too (Lombiq Technologies: OCORE-19) [#6052](https://github.com/OrchardCMS/OrchardCore/pull/6052)
- Making FormPart generic [#6053](https://github.com/OrchardCMS/OrchardCore/pull/6053)
- Fix null error when rendering html part in flow editor [#6040](https://github.com/OrchardCMS/OrchardCore/pull/6040)
- Use PrefixPosition for Admin menus [#6066](https://github.com/OrchardCMS/OrchardCore/pull/6066)
- Validate consecutive slashes in autoroute path [#6065](https://github.com/OrchardCMS/OrchardCore/pull/6065)
- Patch 1 [#6067](https://github.com/OrchardCMS/OrchardCore/pull/6067)
- Render bagpart items with summary displaytype. [#5933](https://github.com/OrchardCMS/OrchardCore/pull/5933)
- Fixing the file naming convention - Edit.cshtml not Editor.cshtml [#6058](https://github.com/OrchardCMS/OrchardCore/pull/6058)
- Fixing ModularBackgroundService logging and improving IsFatal() checks (Lombiq Technologies: OCORE-17) [#5859](https://github.com/OrchardCMS/OrchardCore/pull/5859)
- Adding note on hiding shapes from placement [#6041](https://github.com/OrchardCMS/OrchardCore/pull/6041)
- Make Login, Logout and ChangePassword paths configurable [#6028](https://github.com/OrchardCMS/OrchardCore/pull/6028)
- Fixes rendering draft on front end [#6038](https://github.com/OrchardCMS/OrchardCore/pull/6038)
- Fix RSS items description [#5934](https://github.com/OrchardCMS/OrchardCore/pull/5934)
- Allow registering named style and script resources with inline content [#5903](https://github.com/OrchardCMS/OrchardCore/pull/5903)
- Contributing and link to .NET Foundation [#6005](https://github.com/OrchardCMS/OrchardCore/pull/6005)
- Update GraphQL dependencies [#5837](https://github.com/OrchardCMS/OrchardCore/pull/5837)
- Admin menus positions [#6007](https://github.com/OrchardCMS/OrchardCore/pull/6007)
- Upgrade bootstrap-select version to 1.13.15 [#6023](https://github.com/OrchardCMS/OrchardCore/pull/6023)
- Upgrade CodeMirror version to 5.53.2 [#6015](https://github.com/OrchardCMS/OrchardCore/pull/6015)
- Check LinkField Url [#6022](https://github.com/OrchardCMS/OrchardCore/pull/6022)
- Fix typo optionsTextArea [#6006](https://github.com/OrchardCMS/OrchardCore/pull/6006)
- Change confirm bulk action message [#6004](https://github.com/OrchardCMS/OrchardCore/pull/6004)
- Remove items from media cache when events fired [#5617](https://github.com/OrchardCMS/OrchardCore/pull/5617)
- Returning null in case of not finding the entry [#5950](https://github.com/OrchardCMS/OrchardCore/pull/5950)
- Sort items collection on access [#5982](https://github.com/OrchardCMS/OrchardCore/pull/5982)
- Target new tab when viewing media [#5980](https://github.com/OrchardCMS/OrchardCore/pull/5980)
- Content culture picker shape documentation [#6003](https://github.com/OrchardCMS/OrchardCore/pull/6003)
- Fixes [#5761](https://github.com/OrchardCMS/OrchardCore/pull/5761) : Move HtmlField's media modal in footer [#6000](https://github.com/OrchardCMS/OrchardCore/pull/6000)
- Move HeadMeta section [#5991](https://github.com/OrchardCMS/OrchardCore/pull/5991)
- Deployment plans search [#5992](https://github.com/OrchardCMS/OrchardCore/pull/5992)
- Fixes AdminOptions resolution [#5975](https://github.com/OrchardCMS/OrchardCore/pull/5975)
- Upgrade dependencies [#5981](https://github.com/OrchardCMS/OrchardCore/pull/5981)
- Localize doc note: Restart after editing a .po file. [#5985](https://github.com/OrchardCMS/OrchardCore/pull/5985)
- Remove Site.Meta [#5946](https://github.com/OrchardCMS/OrchardCore/pull/5946)
- Add ability to restrict widgets within a flow part [#5970](https://github.com/OrchardCMS/OrchardCore/pull/5970)
- Fix widget list missing zone name when inserting [#5949](https://github.com/OrchardCMS/OrchardCore/pull/5949)
- Fixes [#5921](https://github.com/OrchardCMS/OrchardCore/pull/5921) shape table providers [#5938](https://github.com/OrchardCMS/OrchardCore/pull/5938)
- [doc] Correct text field usage in liquid example [#5955](https://github.com/OrchardCMS/OrchardCore/pull/5955)
- Adding support for IN (SELECT) sql statements [#5952](https://github.com/OrchardCMS/OrchardCore/pull/5952)
- Make config keys compatible with Linux OS [#5918](https://github.com/OrchardCMS/OrchardCore/pull/5918)
- Update PermissionHandler.cs [#5940](https://github.com/OrchardCMS/OrchardCore/pull/5940)
- Add icons to Configuration Settings menus [#5919](https://github.com/OrchardCMS/OrchardCore/pull/5919)
- Add BenchmarkDotNet in Dependencies.props and upgrade version [#5917](https://github.com/OrchardCMS/OrchardCore/pull/5917)
- Site Meta [#5854](https://github.com/OrchardCMS/OrchardCore/pull/5854)
- DictionaryAttributePrefix and ModelExplorer support in liquid [#5099](https://github.com/OrchardCMS/OrchardCore/pull/5099)
- Prevent too many liquid shape recursion [#4394](https://github.com/OrchardCMS/OrchardCore/pull/4394)
- Upgrade workflows dependencies [#5845](https://github.com/OrchardCMS/OrchardCore/pull/5845)
- Autoroute container routing [#5665](https://github.com/OrchardCMS/OrchardCore/pull/5665)
- Themes standardization [#5852](https://github.com/OrchardCMS/OrchardCore/pull/5852)
- Update dependencies versions [#5850](https://github.com/OrchardCMS/OrchardCore/pull/5850)
- fix(YoutubeField): blank value get's saved [#5909](https://github.com/OrchardCMS/OrchardCore/pull/5909)
- Top contributors [#5901](https://github.com/OrchardCMS/OrchardCore/pull/5901)
- Update 'Install culture' guide [#5900](https://github.com/OrchardCMS/OrchardCore/pull/5900)
- Wrap editor in a null check [#5884](https://github.com/OrchardCMS/OrchardCore/pull/5884)
- [doc] Correct shape tags usage with arrays [#5896](https://github.com/OrchardCMS/OrchardCore/pull/5896)
- Added an Update Content Item Task, i think we have CRUD now! [#5894](https://github.com/OrchardCMS/OrchardCore/pull/5894)
- Remove font awesome pseudoSearch config [#5872](https://github.com/OrchardCMS/OrchardCore/pull/5872)
- [doc] Correct liquid zone usage [#5887](https://github.com/OrchardCMS/OrchardCore/pull/5887)
- Upgrade documentation to Material 5 [#5777](https://github.com/OrchardCMS/OrchardCore/pull/5777)
- Fixes Workflow Timer [#5830](https://github.com/OrchardCMS/OrchardCore/pull/5830)
- ReleaseShellContext() methods [#5551](https://github.com/OrchardCMS/OrchardCore/pull/5551)
- Admin menus [#5855](https://github.com/OrchardCMS/OrchardCore/pull/5855)
- Update package.json dependencies [#5875](https://github.com/OrchardCMS/OrchardCore/pull/5875)
- Update Markdown package dependencies [#5876](https://github.com/OrchardCMS/OrchardCore/pull/5876)
- Update Themes package dependencies [#5877](https://github.com/OrchardCMS/OrchardCore/pull/5877)
- Tab placement documentation [#5861](https://github.com/OrchardCMS/OrchardCore/pull/5861)
- Add doc for missing content fields [#5870](https://github.com/OrchardCMS/OrchardCore/pull/5870)
- Cleanup unused things [#5853](https://github.com/OrchardCMS/OrchardCore/pull/5853)
- Update footer dates in theme recipes [#5838](https://github.com/OrchardCMS/OrchardCore/pull/5838)
- Fixes OC.ContentLocalization dependencies [#5844](https://github.com/OrchardCMS/OrchardCore/pull/5844)
- Add docs for Azure and Database Shells Configuration [#5835](https://github.com/OrchardCMS/OrchardCore/pull/5835)
- Upgrade Font awesome to 5.13.0 [#5832](https://github.com/OrchardCMS/OrchardCore/pull/5832)
- Setup screen improvements [#5781](https://github.com/OrchardCMS/OrchardCore/pull/5781)
- Moved SameSite.None to OpenId Module at startup [#5786](https://github.com/OrchardCMS/OrchardCore/pull/5786)
- Fixes AntiforgeryValidationException [#5803](https://github.com/OrchardCMS/OrchardCore/pull/5803)
- apply message styles [#5820](https://github.com/OrchardCMS/OrchardCore/pull/5820)
- Update ShellHost Registrations [#5824](https://github.com/OrchardCMS/OrchardCore/pull/5824)
- Update ITagCache registration [#5828](https://github.com/OrchardCMS/OrchardCore/pull/5828)
- Remove unnecessary constructor from DataAnnotationsDefaultErrorMessages [#5827](https://github.com/OrchardCMS/OrchardCore/pull/5827)
