# Orchard Core 1.3.0

Release date: March 2022

This release contains security vulnerability fixes. It is recommended you update your existing Orchard Core deployments with this version.

## Breaking Changes

This release is removing support for netcoreapp3.1 and net5.0. Only net6.0 is supported.

## What's Changed
* Optimize SlugService by @hishamco in https://github.com/OrchardCMS/OrchardCore/pull/10923
* Update development versions to 1.3 by @sebastienros in https://github.com/OrchardCMS/OrchardCore/pull/10978
* HtmlSanitizer 7.0.473 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/10969
* Drop netcore 3.1 and net 5 by @deanmarcussen in https://github.com/OrchardCMS/OrchardCore/pull/10979
* Upgrade to Fluid 2.2.10 by @hishamco in https://github.com/OrchardCMS/OrchardCore/pull/10971
* Reduce allocations in MediaTokenService and improve performance by @lahma in https://github.com/OrchardCMS/OrchardCore/pull/10941
* Bump ImageSharp.Web to v1.0.5 by @JimBobSquarePants in https://github.com/OrchardCMS/OrchardCore/pull/10966
* Fix localizer type in tenants ApiController by @hishamco in https://github.com/OrchardCMS/OrchardCore/pull/10987
* MailKit, MimeKit 3.0 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/10863
* Update README.md by @sebastienros in https://github.com/OrchardCMS/OrchardCore/pull/10993
* Remove multiple compilation paths on MediaTokenService by @deanmarcussen in https://github.com/OrchardCMS/OrchardCore/pull/10988
* Media search indexing (Lombiq Technologies: OCORE-55) by @Piedone in https://github.com/OrchardCMS/OrchardCore/pull/9544
* Add dotnet watch excludes by @Skrypt in https://github.com/OrchardCMS/OrchardCore/pull/10888
* Add response to SmtpResult by @hishamco in https://github.com/OrchardCMS/OrchardCore/pull/10892
* Remove exists check for blobs by @ShaneCourtrille in https://github.com/OrchardCMS/OrchardCore/pull/10960
* Cypress 9.2.1 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11005
* Easy Markdown Editor 2.16.0 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11015
* Add reference to Fluid under Liquid docs by @brunoAltinet in https://github.com/OrchardCMS/OrchardCore/pull/11007
* Fixing that PDF indexing failed with Azure Blob Storage (Lombiq Technologies: OCORE-73) by @Piedone in https://github.com/OrchardCMS/OrchardCore/pull/11016
* Upgrade to Fluid 2.2.14  :arrow_up: by @hishamco in https://github.com/OrchardCMS/OrchardCore/pull/11019
* Fix route ChangePasswordConfirmation by @Tokyo1985 in https://github.com/OrchardCMS/OrchardCore/pull/10887
* Cypress 9.3.1 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11039
* Orchard Framework -> Orchard Core by @hishamco in https://github.com/OrchardCMS/OrchardCore/pull/11040
* Code Mirror 5.65.1 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11042
* Fix NRE in MediaFieldIndexHandler by @Skrypt in https://github.com/OrchardCMS/OrchardCore/pull/11066
* HtmlSanitizer 7.1.475 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11073
* MailKit and MimeKit 3.1.0 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11075
* Markdig 0.27.0 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11074
* Fixed a couple of minor issues. by @optiklab in https://github.com/OrchardCMS/OrchardCore/pull/11056
* Use new branding icons for OC projects templates by @hishamco in https://github.com/OrchardCMS/OrchardCore/pull/11076
* Add logo to packages by @ns8482e in https://github.com/OrchardCMS/OrchardCore/pull/11053
* Orchard -> Orchard Core by @hishamco in https://github.com/OrchardCMS/OrchardCore/pull/11077
* Cypress 9.4.1 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11109
* NPM Package dependencies by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11105
* NJsonSchema 10.6.7 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11090
* Easy Markdown Editor 2.16.1 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11029
* MailKit and MimeKit 3.1.1 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11111
* Categorized tenants by @hishamco in https://github.com/OrchardCMS/OrchardCore/pull/10586
* Change the Script Task use Monaco Editor by @hyzx86 in https://github.com/OrchardCMS/OrchardCore/pull/10715
* Update docs templates version by @deanmarcussen in https://github.com/OrchardCMS/OrchardCore/pull/11113
* Fix NRE in MediaFieldIndexHandler by @Skrypt in https://github.com/OrchardCMS/OrchardCore/pull/11121
* Update .NET Framework version to 6.0.2 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11151
* Fix typo in OrchardCore.Tests.Functional/Readme.md by @eltociear in https://github.com/OrchardCMS/OrchardCore/pull/11107
* Monaco Editor 0.32.1 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11142
* System.Linq.Async 6.0.1 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11149
* Make the Monaco editor Fields  support preview by @hyzx86 in https://github.com/OrchardCMS/OrchardCore/pull/10777
* NJsonSchema 10.6.8 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11158
* Update documentation by @Skrypt in https://github.com/OrchardCMS/OrchardCore/pull/11166
* Remove unnecessary lines in csproj by @hishamco in https://github.com/OrchardCMS/OrchardCore/pull/11170
* Search Form : Allow to override Index used by @Skrypt in https://github.com/OrchardCMS/OrchardCore/pull/11165
* Documentation improvements: Audit Trail/Redis/SEO/Deployment docs, demo videos, YouTube embed privacy (Lombiq Technologies: OCORE-78) by @Piedone in https://github.com/OrchardCMS/OrchardCore/pull/11154
* Hide the "New" option if they are not authorized to edit (Lombiq Technologies: OCORE-77) by @BanzragchUchral in https://github.com/OrchardCMS/OrchardCore/pull/11150
* Fixing async issues in OrchardCore.Tests (Lombiq Technologies: OCORE-80) by @Piedone in https://github.com/OrchardCMS/OrchardCore/pull/11195
* Fix search form Index name input by @Skrypt in https://github.com/OrchardCMS/OrchardCore/pull/11192
* Fix preview package publishing (Lombiq Technologies: OCORE-81) by @Piedone in https://github.com/OrchardCMS/OrchardCore/pull/11197
* Register DI of ShellFeaturesManager and ShellDescriptorFeaturesManager in AddExtensionServices instead of Infrastructure by @ns8482e in https://github.com/OrchardCMS/OrchardCore/pull/10326
* Remove FileContentDefinition from recipes (Lombiq Technologies: OCORE-82) by @BanzragchUchral in https://github.com/OrchardCMS/OrchardCore/pull/11210
* Tiny fixes in project templates metadata by @hishamco in https://github.com/OrchardCMS/OrchardCore/pull/11229
* Support Mail Proxy by @hishamco in https://github.com/OrchardCMS/OrchardCore/pull/11221
* Fix NULL indexed value for LocalizationSetContentPickerFieldIndexHandler by @Skrypt in https://github.com/OrchardCMS/OrchardCore/pull/11249
* Codemirror 5.65.2 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11247
* Update SMTP docs by @hishamco in https://github.com/OrchardCMS/OrchardCore/pull/11267
* Moq 4.17.1 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11270
* HtmlSanitizer 7.1.488 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11268
* Fix NRE with TaxonomyIndex by @Skrypt in https://github.com/OrchardCMS/OrchardCore/pull/11283
* Cypress 9.5.0 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11236
* NJsonSchema 10.6.10 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11246
* Serilog.AspNetCore 5.0.0 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11237
* Remove duplicate sitemap permission by @MikeKry in https://github.com/OrchardCMS/OrchardCore/pull/11292
* Remove PreserveCompilationReferences from decoupled CMS documentation by @MikeKry in https://github.com/OrchardCMS/OrchardCore/pull/11293
* Added documentation for using Orchard Core from a local NuGet packages by @DrewBrasher in https://github.com/OrchardCMS/OrchardCore/pull/11284
* Cypress 9.5.1 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11306
* Update npm dependencies by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11305
* material-icons 1.10.7 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11307
* Font awesome 6.0.0 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11146
* DefaultPluralRule should be readonly by @hishamco in https://github.com/OrchardCMS/OrchardCore/pull/11311
* Rename "web" launchsetting profile to "Kestrel" by @Skrypt in https://github.com/OrchardCMS/OrchardCore/pull/11304
* Update graphiql to latest version by @jptissot in https://github.com/OrchardCMS/OrchardCore/pull/11300
* Add missing bracket in AutoSetup docs by @hishamco in https://github.com/OrchardCMS/OrchardCore/pull/11321
* update full-text search index doc (include widgets content) by @momentum-tunis in https://github.com/OrchardCMS/OrchardCore/pull/11320
* GraphiQL 1.7.0 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11331
* .NET 6.0.3 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11334
* Fix VS Code launcher and tasks for dotnet watch by @Skrypt in https://github.com/OrchardCMS/OrchardCore/pull/10881
* Prevent VStudio Missing Components Warning by @jtkech in https://github.com/OrchardCMS/OrchardCore/pull/11337
* Fix missing permission checks and encoding. by @sebastienros in https://github.com/OrchardCMS/OrchardCore/pull/11344
* Add UI for email proxy settings by @hishamco in https://github.com/OrchardCMS/OrchardCore/pull/11274
* Update to correct property by @ns8482e in https://github.com/OrchardCMS/OrchardCore/pull/11253

## New Contributors
* @ShaneCourtrille made their first contribution in https://github.com/OrchardCMS/OrchardCore/pull/10960
* @Tokyo1985 made their first contribution in https://github.com/OrchardCMS/OrchardCore/pull/10887
* @optiklab made their first contribution in https://github.com/OrchardCMS/OrchardCore/pull/11056
* @BanzragchUchral made their first contribution in https://github.com/OrchardCMS/OrchardCore/pull/11150
* @DrewBrasher made their first contribution in https://github.com/OrchardCMS/OrchardCore/pull/11284
* @momentum-tunis made their first contribution in https://github.com/OrchardCMS/OrchardCore/pull/11320

**Full Changelog**: https://github.com/OrchardCMS/OrchardCore/compare/v1.2.2...v1.3.0

## Milestone

[1.3](https://github.com/OrchardCMS/OrchardCore/milestone/12)
