# Orchard Core 1.4.0

Release date: June 2022

This release contains security vulnerability fixes. It is recommended you update your existing Orchard Core deployments with this version.

## Breaking Changes

* The `<form>` tag is no longer allowed by default in sanitized content https://github.com/OrchardCMS/OrchardCore/pull/11729

## What's Changed
* Lucene.Net 4.8.0-beta00016 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11238
* Update release docs by @sebastienros in https://github.com/OrchardCMS/OrchardCore/pull/11351
* Monaco editor 0.33 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11380
* Monaco loader aware of virtual folder by @jtkech in https://github.com/OrchardCMS/OrchardCore/pull/11370
* Fix NRE in tenants admin when some tenants don't have a Category specified (Lombiq Technologies: OCORE-85) by @Piedone in https://github.com/OrchardCMS/OrchardCore/pull/11391
* Improving tenant hostname duplicate check (Lombiq Technologies: OCORE-71) by @hishamco in https://github.com/OrchardCMS/OrchardCore/pull/10934
* Fix NRE when trying to save an empty LinkField by @kevinsmgov in https://github.com/OrchardCMS/OrchardCore/pull/11392
* Fix OpenId prune operations by @jersiovic in https://github.com/OrchardCMS/OrchardCore/pull/11382
* Fix Reset Script by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11367
* Usage of wrong Liquid script parameter name by @jtkech in https://github.com/OrchardCMS/OrchardCore/pull/11385
* Code Mirror SRI by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11366
* Added an AppSettings option to disable Sqlite connection pooling. by @johnrom in https://github.com/OrchardCMS/OrchardCore/pull/11393
* fontawesome 6.1.1 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11424
* Bump minimist from 1.2.5 to 1.2.6 in /src/OrchardCore.Modules/OrchardCore.Apis.GraphQL by @dependabot in https://github.com/OrchardCMS/OrchardCore/pull/11432
* Bump minimist from 1.2.5 to 1.2.6 in /test/OrchardCore.Tests.Functional by @dependabot in https://github.com/OrchardCMS/OrchardCore/pull/11430
* Bump minimist from 1.2.5 to 1.2.6 in /src/OrchardCore.Modules/OrchardCore.AuditTrail by @dependabot in https://github.com/OrchardCMS/OrchardCore/pull/11431
* MailKit and Mimekit 3.2.0 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11443
* Fixes #11360 Liquid IHtmlContent by @jtkech in https://github.com/OrchardCMS/OrchardCore/pull/11399
* Fix the untyped properties fallback logic that prevents persisting roles with non-Orchard OpenID stores by @kevinchalet in https://github.com/OrchardCMS/OrchardCore/pull/11456
* Fix Roles module documentation (Lombiq Technologies: OCORE-89)  by @DemeSzabolcs in https://github.com/OrchardCMS/OrchardCore/pull/11457
* Fixing html error in the admin UI (Lombiq Technologies: OCORE-87) by @BanzragchUchral in https://github.com/OrchardCMS/OrchardCore/pull/11425
* Creating ContentPart_Edit Shape using ShapeResult to support placement by @ns8482e in https://github.com/OrchardCMS/OrchardCore/pull/11098
* Fix admin UI regressions by @Skrypt in https://github.com/OrchardCMS/OrchardCore/pull/11495
* Add back type="button" on admin top menu items by @Skrypt in https://github.com/OrchardCMS/OrchardCore/pull/11496
* Make OrchardCore.Resources module always enabled by @Skrypt in https://github.com/OrchardCMS/OrchardCore/pull/11452
* Use H1 on login page for SEO by @Skrypt in https://github.com/OrchardCMS/OrchardCore/pull/11503
* Use LinkGenerator instead of IUrlHelper in SignalMethodProvider by @lampersky in https://github.com/OrchardCMS/OrchardCore/pull/11505
* Azure.Extensions.AspNetCore.Configuration.Secrets 1.2.2 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11518
* Azure.Identity 1.6.0 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11517
* Upgrade Fluid to 2.2.15 by @hishamco in https://github.com/OrchardCMS/OrchardCore/pull/11525
* Remove Lucene from built-in recipes (Lombiq Technologies: OCORE-84) by @BanzragchUchral in https://github.com/OrchardCMS/OrchardCore/pull/11328
* Correct fullname method for validation taghelper by @giannik in https://github.com/OrchardCMS/OrchardCore/pull/11470
* Module and feature constructors by @mwpowellhtx in https://github.com/OrchardCMS/OrchardCore/pull/11514
* Cookie name per Application and accross its Instances by @jtkech in https://github.com/OrchardCMS/OrchardCore/pull/11535
* Remove useless IHostEnvironment resolution by @jtkech in https://github.com/OrchardCMS/OrchardCore/pull/11544
* Non awaited task in GraphQL DataLoaderExtensions by @jtkech in https://github.com/OrchardCMS/OrchardCore/pull/11536
* Revert "Non awaited task in GraphQL DataLoaderExtensions (#11536)" by @jtkech in https://github.com/OrchardCMS/OrchardCore/pull/11548
* Startbootstrap-coming-soon 6.0.6 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11523
* Startbootstrap-clean-blog 6.0.8 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11522
* Startbootstrap agency 7.0.11 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11521
* NodaTime 3.1.0 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11557
* Rename ReverseProxySettings permission to ManageReverseProxySettings by @hishamco in https://github.com/OrchardCMS/OrchardCore/pull/11543
* Github Actions : PreviewCI - Publishing of Docker images and Nuget packages only for main branch by @Skrypt in https://github.com/OrchardCMS/OrchardCore/pull/11348
* Add missing permission registration in OC.ReverseProxy module by @hishamco in https://github.com/OrchardCMS/OrchardCore/pull/11542
* Feature aware razor pages by @ns8482e in https://github.com/OrchardCMS/OrchardCore/pull/11573
* Lucene query docs, fixing QueryStringQueryProvider (Lombiq Technologies: OCORE-93) by @Piedone in https://github.com/OrchardCMS/OrchardCore/pull/11561
* Fix typo in docker/README.md by @eltociear in https://github.com/OrchardCMS/OrchardCore/pull/11572
* Code mirror 5.65.3 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11580
* Markdig 0.30.2 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11587
* Add an overload to ShapeViewModel by @CrestApps in https://github.com/OrchardCMS/OrchardCore/pull/11598
* Update ImageSharp.Web v2 by @deanmarcussen in https://github.com/OrchardCMS/OrchardCore/pull/11585
* Unpublishing and editing content item with an uninitialized ContentPickerField breaks (Lombiq Technologies: OCORE-92) by @DAud-IcI in https://github.com/OrchardCMS/OrchardCore/pull/11528
* PdfPig 0.1.6 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11603
* Fixes #11610 Add spaces to Part Display Name by @jtkech in https://github.com/OrchardCMS/OrchardCore/pull/11614
* Remove pagenum=1 from the "1" pager link to improve SEO by @rjpowers10 in https://github.com/OrchardCMS/OrchardCore/pull/11629
* Translate ReCaptcha TagHelper by @Skrypt in https://github.com/OrchardCMS/OrchardCore/pull/11640
* Make SendOnlineMessage() protected by @hishamco in https://github.com/OrchardCMS/OrchardCore/pull/11124
* Added `where` to GraphQL query by @devlife in https://github.com/OrchardCMS/OrchardCore/pull/11336
* Bootstrap 5 in admin by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/9371
* Package Dependencies by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11633
* material-icons 1.10.11 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11634
* Azure.Storage.Blobs 12.12.0 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11631
* xunit.runner.visualstudio 2.4.5 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11653
* Bootstrap 5.1.3 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11652
* nouislider 15.6.0 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11651
* bootstrap-select 1.14.0-beta3 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11666
* .NET 6.0.5 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11679
* Set security stamp when user is disabled by @deanmarcussen in https://github.com/OrchardCMS/OrchardCore/pull/11668
* Fix some bootstrap 5 left after migration from bootstrap 4 by @CrestApps in https://github.com/OrchardCMS/OrchardCore/pull/11683
* Bootstrap 5 : Fix btn-light text color by @Skrypt in https://github.com/OrchardCMS/OrchardCore/pull/11690
* Added stronger clarification on placement.json property names by @brunoAltinet in https://github.com/OrchardCMS/OrchardCore/pull/11682
* Using Redis with sentinels #11617 by @mazuryv in https://github.com/OrchardCMS/OrchardCore/pull/11637
* leaflet 1.8.0 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11635
* UseNLogHost() to be used on IHostBuilder by @jtkech in https://github.com/OrchardCMS/OrchardCore/pull/11604
* Add documentation on Query API results changes by @Skrypt in https://github.com/OrchardCMS/OrchardCore/pull/11692
* Widgets overwrite zone tag helper - log warning when the Zone isn't a Shape. (Lombiq Technologies: OCORE-90) by @DAud-IcI in https://github.com/OrchardCMS/OrchardCore/pull/11529
* Microsoft.NET.Test.Sdk 17.2.0 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11685
* Moq 4.18.0 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11686
* Castle.Core 5.0.0 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11687
* Cypress 9.6.1 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11671
* graphiql 1.8.10 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11670
* Use extension method to update OpenId application descriptor by @MichaelPetrinolis in https://github.com/OrchardCMS/OrchardCore/pull/11721
* Remove form tag from allowed tags during sanitization by @sebastienros in https://github.com/OrchardCMS/OrchardCore/pull/11729
* Fix typo in TaxonomyContentsAdminListFilter.cs by @eltociear in https://github.com/OrchardCMS/OrchardCore/pull/11728
* Ignore IUpdateModel and BuildPartDisplayContext in console_log by @ns8482e in https://github.com/OrchardCMS/OrchardCore/pull/11286
* Revert Bootstrap-Select to beta 2 by @Skrypt in https://github.com/OrchardCMS/OrchardCore/pull/11723
* Fix various issues with the hybrid flow by @kevinchalet in https://github.com/OrchardCMS/OrchardCore/pull/11719
* Fix content item display coordinator when a GroupId is provided by @CrestApps in https://github.com/OrchardCMS/OrchardCore/pull/11714
* Update Codemirror SHA by @Skrypt in https://github.com/OrchardCMS/OrchardCore/pull/11731
* Add Security Module  (Lombiq Technologies: OCORE-91) by @hishamco in https://github.com/OrchardCMS/OrchardCore/pull/11538
* Use display names in registration settings by @hishamco in https://github.com/OrchardCMS/OrchardCore/pull/11656
* codemirror 5.65.4 by @agriffard in https://github.com/OrchardCMS/OrchardCore/pull/11734
* Fix UI issue on Security module by @hishamco in https://github.com/OrchardCMS/OrchardCore/pull/11735
* Fix Email settings collapsible panels by @Skrypt in https://github.com/OrchardCMS/OrchardCore/pull/11759
* Add Automatically QueryString Params to PagerSlim by @Skrypt in https://github.com/OrchardCMS/OrchardCore/pull/11726
* Fix unmanaged Lorem.Universal.NET package reference (Lombiq Technologies: OCORE-95) by @Piedone in https://github.com/OrchardCMS/OrchardCore/pull/11770
* Removes duplicated email validation in user registration. by @gvkries in https://github.com/OrchardCMS/OrchardCore/pull/11766
* Add gulp pipeline documentation by @Skrypt in https://github.com/OrchardCMS/OrchardCore/pull/11769
* Auto register IDisplayManager<T> for T on AddTheming by @ns8482e in https://github.com/OrchardCMS/OrchardCore/pull/11756
* Amazon S3 Media Storage support by @neglectedvalue in https://github.com/OrchardCMS/OrchardCore/pull/11738
* Fix admin menu icon picker modal (BS5 regression) by @Skrypt in https://github.com/OrchardCMS/OrchardCore/pull/11787

## New Contributors
* @kevinsmgov made their first contribution in https://github.com/OrchardCMS/OrchardCore/pull/11392
* @DemeSzabolcs made their first contribution in https://github.com/OrchardCMS/OrchardCore/pull/11457
* @mwpowellhtx made their first contribution in https://github.com/OrchardCMS/OrchardCore/pull/11514
* @devlife made their first contribution in https://github.com/OrchardCMS/OrchardCore/pull/11336
* @mazuryv made their first contribution in https://github.com/OrchardCMS/OrchardCore/pull/11637
* @neglectedvalue made their first contribution in https://github.com/OrchardCMS/OrchardCore/pull/11738

**Full Changelog**: https://github.com/OrchardCMS/OrchardCore/compare/v1.3.0...v1.4.0

## Milestone

[1.4](https://github.com/OrchardCMS/OrchardCore/milestone/13)
